import { http, jumpExport } from '@/utils/http/axios';

// 获取课程章节列表
export function List(params) {
  return http.request({
    url: '/lessonSection/list',
    method: 'get',
    params,
  });
}

// 删除/批量删除课程章节
export function Delete(params) {
  return http.request({
    url: '/lessonSection/delete',
    method: 'POST',
    params,
  });
}

// 添加/编辑课程章节
export function Edit(params) {
  return http.request({
    url: '/lessonSection/edit',
    method: 'POST',
    params,
  });
}

// 获取课程章节指定详情
export function View(params) {
  return http.request({
    url: '/lessonSection/view',
    method: 'GET',
    params,
  });
}

// 导出课程章节
export function Export(params) {
  jumpExport('/lessonSection/export', params);
}